### Signal

# Clutter Actor::pick

deprecated: 1.12

#### Declaration

    void
    pick (
      ClutterActor* self,
      ClutterPickContext* pick_context,
      gpointer user_data
    )

#### Description [src]

The signal is emitted each time an actor is being painted in “pick mode”. The pick mode is used to identify the actor during the event handling phase, or by `clutter_stage_get_actor_at_pos()`.

Subclasses of `ClutterActor` should override the class signal handler and paint themselves in that function.

It is possible to connect a handler to the signal in order to set up some custom aspect of a paint in pick mode.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Deprecated since: 1.12
Override the `Clutter.ActorClass.pick` virtual function instead.

#### Parameters

`pick_context`

  Type: `ClutterPickContext`

  A `ClutterPickContext`.

  The data is owned by the caller of the function.